## xapian-bindings 1.2.18

=== debian/changelog ===
xapian-bindings (1.2.18-1ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build using dh-autoreconf, explicitly using automake-1.11.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Aug 2014 21:45:56 +0200

xapian-bindings (1.2.18-1) unstable; urgency=medium

  * New upstream release.

 -- Olly Betts <olly@survex.com>  Sun, 29 Jun 2014 16:56:01 +1200

xapian-bindings (1.2.17-3) unstable; urgency=medium

  * Fix reversed conditional for adding pre-ruby-all-dev ruby BDs.
    (Closes: #748749)

 -- Olly Betts <olly@survex.com>  Sun, 04 May 2014 18:25:44 +1200

xapian-bindings (1.2.17-2) unstable; urgency=medium

  * Check debian/bindings-to-packages for a list of bindings to package, to
    allow people to easily build subsets of the binary packages.
  * Always regenerate debian/control on "debian/rules maint" as the
    dependencies are complex and the work to regenerate is minor.
  * Where available, use ruby-all-dev and ruby-all as BDs and use
    ruby_debian_dev.rb to determine the ruby versions to build for.
    (Closes: #745924)

 -- Olly Betts <olly@survex.com>  Sun, 04 May 2014 17:15:00 +1300

xapian-bindings (1.2.17-1ubuntu2) utopic; urgency=medium

  * Fix the binary-indep build.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Apr 2014 15:23:29 +0200

xapian-bindings (1.2.17-1ubuntu1) utopic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build using dh-autoreconf, explicitly using automake-1.11.
  * Build for ruby2.0 and ruby2.1 only.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Apr 2014 13:13:17 +0200

xapian-bindings (1.2.17-1) unstable; urgency=medium

  * New upstream release.
    + Drop passing RUBY_INC_ARCH to configure which is no longer required.
  * debian/rules: Drop bindings for ruby1.8.  (Closes: #735417)
  * Add workaround to allow smooth upgrades from ruby-xapian 1.2.15-4 to
    1.2.16-1 which installed duplicate doc-base files.  (Closes: #735418)
  * debian/watch: Add pgpsigurlmangle setting to automatically verify
    detached GPG signatures on upstream release tarballs.

 -- Olly Betts <olly@survex.com>  Fri, 31 Jan 2014 14:57:39 +1300
