=== debian/control ===
Source: xapian-bindings
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Olly Betts <olly@survex.com>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 7.0.50~), ruby-all-dev, ruby, python, python-all-dev (>= 2.6.6-3~), tcl-dev, libxapian-dev (>= 1.2.18), libxapian-dev (<< 1.3.0), autotools-dev, automake1.11, dh-autoreconf
X-Python-Version: >= 2.3
XS-Ruby-Versions: all
Homepage: http://xapian.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xapian-bindings.git
Vcs-git: git://anonscm.debian.org/collab-maint/xapian-bindings.git

Package: tclxapian
Section: interpreters
Architecture: any
Depends: tcl|tclsh, ${shlibs:Depends}, ${misc:Depends}
Suggests: xapian-doc
Description: Xapian search engine interface for Tcl
 This package provides Xapian Tcl bindings which should work with any version
 of Tcl >= 8.1 (by using Tcl's stubs mechanism.)
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.
 .
 The Xapian Tcl bindings provide an interface to the Xapian library from the
 Tcl programming language, allowing both indexing and retrieval operations.

Package: python-xapian
Section: python
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: xapian-doc
Provides: ${python:Provides}
X-Dummy: Remove me once python-central support is dropped
Description: Xapian search engine interface for Python
 This package provides Xapian Python bindings for all the packaged versions
 of Python.
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.
 .
 The Xapian Python bindings provide an interface to the Xapian library from the
 Python programming language, allowing both indexing and retrieval operations.

Package: ruby-xapian
Section: ruby
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpeter, ${shlibs:Depends}, ${misc:Depends}
Replaces: libxapian-ruby1.8 (<< 1.2.15-1~), libxapian-ruby1.9.1 (<< 1.2.15-1~)
Breaks: libxapian-ruby1.8 (<< 1.2.15-1~), libxapian-ruby1.9.1 (<< 1.2.15-1~)
Provides: 
Suggests: xapian-doc
Description: Xapian search engine interface for Ruby
 This package provides Xapian Ruby bindings built for Ruby.
 .
 The Xapian search engine library is a highly adaptable toolkit which allows
 developers to easily add advanced indexing and search facilities to their own
 applications.  It implements the probabilistic model of information retrieval,
 and provides facilities for performing ranked free-text searches, relevance
 feedback, phrase searching, boolean searching, stemming, and simultaneous
 update and searching.  It is highly scalable, and is capable of working with
 collections containing hundreds of millions of documents.
 .
 The Xapian Ruby bindings provide an interface to the Xapian library from the
 Ruby programming language, allowing both indexing and retrieval operations.
