## xapian-bindings 1.2.19

=== debian/changelog ===
xapian-bindings (1.2.19-2) unstable; urgency=medium

  * debian/ruby-xapian.preinst: Add missing line continuation to fix
    workaround for upgrade failures from versions 1.2.15-4 to 1.2.16-1.
    (Closes: #782269)

 -- Olly Betts <olly@survex.com>  Fri, 10 Apr 2015 08:31:12 +1200

xapian-bindings (1.2.19-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Use dh_autotools-dev_updateconfig and
    dh_autotools-dev_restoreconfig.
  * debian/control.in: Declare conformance with "Standards-Version: 3.9.6".

 -- Olly Betts <olly@survex.com>  Thu, 23 Oct 2014 17:44:00 +0000
