=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: xapian-bindings
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Olly Betts <olly@survex.com>
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 7.0.50~), ruby-all-dev, ruby, python, python-all-dev (>= 2.6.6-3~), tcl-dev, libxapian-dev (>= 1.2.18), libxapian-dev (<< 1.3.0), autotools-dev, automake1.11, dh-autoreconf
+Maintainer: Olly Betts <olly@survex.com>
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 7.0.50~), ruby-all-dev, ruby, python, python-all-dev (>= 2.6.6-3~), tcl-dev, libxapian-dev (>= 1.2.19), libxapian-dev (<< 1.3.0), autotools-dev
 X-Python-Version: >= 2.3
 XS-Ruby-Versions: all
 Homepage: http://xapian.org/
