=== debian/rules ===
--- 
+++ 
@@ -194,12 +194,10 @@
 # a bit of time and diskspace while building.
 commonconfflags += --disable-dependency-tracking
 
-# testsuite fails with newer ones
-export AUTOMAKE = automake-1.11
-export ACLOCAL = aclocal-1.11
-
 debian/control: maint
 
 maintclean: clean
 	rm -f debian/control \
 	      debian/libxapian-ruby1.8.doc-base \
+	      debian/libxapian-ruby1.8.install \
+	      debian/libxapian-ruby1.8.postinst \
