## xapian-bindings 1.2.21

=== debian/changelog ===
xapian-bindings (1.2.21-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libxapian-dev (>= 1.2.21-1.2), g++ (>= 4:5.2)
  * Fix rewriting the dependency on libxapianN.

 -- Matthias Klose <doko@debian.org>  Mon, 03 Aug 2015 16:24:58 +0200

xapian-bindings (1.2.21-2) unstable; urgency=medium

  * debian/rules: Add BD on ruby-test-unit to fix FTBFS with Ruby 2.2, which
    unbundled this module (fixes FTBFS reported in #778177 by Daniel
    Schepler).
  * debian/control-python.in: Remove @XB_PYTHON_VERSION@ left over from code
    removed in 1.2.21-1.

 -- Olly Betts <olly@survex.com>  Mon, 29 Jun 2015 16:05:53 +1200

xapian-bindings (1.2.21-1) unstable; urgency=medium

  * New upstream release.
  * debian/rules: Strip out special cases for obsolete Debian and Ubuntu
    releases.
  * debian/ruby-xapian.preinst: Drop cleanup for upgrade failure from 1.2.15-4
    to 1.2.16-1.  Realistically, anyone affected will have had it resolved by
    upgrading to a version containing this clean-up, as the jessie release has
    happened since.

 -- Olly Betts <olly@survex.com>  Mon, 25 May 2015 15:08:14 +1200
