=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Olly Betts <olly@survex.com>
 Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 7.0.50~), ruby-all-dev, ruby, python, python-all-dev (>= 2.6.6-3~), tcl-dev, libxapian-dev (>= 1.2.19), libxapian-dev (<< 1.3.0), autotools-dev
+Build-Depends: debhelper (>= 7.0.50~), ruby-all-dev, ruby, ruby-test-unit, python, python-all-dev (>= 2.6.6-3~), tcl-dev, libxapian-dev (>= 1.2.21), libxapian-dev (<< 1.3.0), autotools-dev, libxapian-dev (>= 1.2.21-1.2), g++ (>= 4:5.2)
 X-Python-Version: >= 2.3
 XS-Ruby-Versions: all
 Homepage: http://xapian.org/
@@ -36,7 +36,6 @@
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: xapian-doc
 Provides: ${python:Provides}
-X-Dummy: Remove me once python-central support is dropped
 Description: Xapian search engine interface for Python
  This package provides Xapian Python bindings for all the packaged versions
  of Python.
