=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #
 # Copyright (C) 2004,2005,2006 Lemur Consulting Ltd
-# Copyright (C) 2006,2007,2008,2009,2010,2011,2012,2013,2014 Olly Betts
+# Copyright (C) 2006,2007,2008,2009,2010,2011,2012,2013,2014,2015 Olly Betts
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to
@@ -60,26 +60,19 @@
 XS_RUBY_VERSIONS := X-Dummy: Ruby bindings not being packaged
 ifneq ($(findstring ruby, $(LANGUAGES)), )
 # Be conservative for now and leave backported versions on old ruby policy.
-ifeq ($(findstring .$(CODENAME)., .lucid.precise.quantal.raring.squeeze.wheezy.), )
+ifeq ($(findstring .$(CODENAME)., .precise.squeeze.wheezy.), )
 # For new ruby policy:
 XB_RUBY_VERSIONS := XB-Ruby-Versions: $${ruby:Versions}
 XS_RUBY_VERSIONS := XS-Ruby-Versions: all
 rubylibdir := vendorlibdir
 rubyarchdir := vendorarchdir
-# Ruby 2.0 will debut in jessie and was in Ubuntu saucy, which neatly matches
-# the versions on new ruby policy.
-ifeq ($(findstring .$(CODENAME)., .saucy.), )
 # More recent versions all have the ruby-all-dev and ruby packages.
 BUILD_DEPS += ruby-all-dev, ruby,
+# Ruby 2.2 unbundled unit/test.
+BUILD_DEPS += ruby-test-unit,
 RUBY_VERSIONS := $(shell ruby -rruby_debian_dev -e 'print RubyDebianDev::RUBY_CONFIG_VERSION.values.join(" ")')
 RUBY_PROVIDES := $(shell ruby -rruby_debian_dev -e 'p = RubyDebianDev::RUBY_CONFIG_VERSION.values.grep(/^1\./).map {|v| "libxapian-ruby"+v }.join(", "); print p.size() ? "Provides: "+p : "X-Dummy: No provides"')
 RUBY_LATEST_VERSION := $(shell ruby -rruby_debian_dev -e 'print RubyDebianDev::RUBY_CONFIG_VERSION.values[-1]')
-else
-# Ubuntu saucy didn't have the ruby-all-dev and ruby packages.
-RUBY_VERSIONS := 1.8 1.9.1 2.0
-RUBY_PROVIDES := Provides: libxapian-ruby1.8, libxapian-ruby1.9.1
-RUBY_LATEST_VERSION := 2.0
-endif
 else
 # For old ruby policy:
 XS_RUBY_VERSIONS := X-Dummy: Remove me once old ruby policy support is dropped
@@ -102,17 +95,8 @@
 # The python versions to build for:
 PYTHON_VERSIONS := $(shell pyversions -r debian/control)
 
-ifeq ($(findstring .$(CODENAME)., .lucid.), )
-USING_PYCENTRAL := 0
 BUILD_DEPS += python, python-all-dev (>= 2.6.6-3~),
-XB_PYTHON_VERSION := X-Dummy: Remove me once python-central support is dropped
 X_PYTHON_VERSION := X-Python-Version: >= 2.3
-else
-USING_PYCENTRAL := 1
-BUILD_DEPS += python, python-central (>= 0.4.10), python-all-dev,
-XB_PYTHON_VERSION := XB-Python-Version: $${python:Versions}
-X_PYTHON_VERSION := XS-Python-Version: all
-endif
 endif
 
 ifneq ($(findstring tcl, $(LANGUAGES)), )
@@ -120,19 +104,9 @@
 # bindings will work with any Tcl version from 8.0.6 upwards, whichever
 # version they were built against.
 #
-# lenny/hardy onwards have a "tcl-dev" dummy package which pulls in the package
-# for the current preferred version.
+# The "tcl-dev" dependency package pulls in the package for the current
+# preferred version.
 BUILD_DEPS += tcl-dev,# NB Trailing ',' required here!
-ifeq ($(findstring .$(CODENAME)., .lucid.precise.quantal.raring.saucy.trusty.squeeze.wheezy.), )
-# /usr/bin/tclsh-default is going to be dropped.
-TCLSH=/usr/bin/tclsh
-# tclsh8.6 requires us to link to libtclstub.a - upstream doesn't yet do this
-# automatically.
-TCL_MAKE_OPTS = TCL_LIBS=-ltclstub
-else
-TCLSH=/usr/bin/tclsh-default
-TCL_MAKE_OPTS =
-endif
 BUILD_TCL := 1
 endif
 
@@ -201,3 +175,32 @@
 	      debian/libxapian-ruby1.8.doc-base \
 	      debian/libxapian-ruby1.8.install \
 	      debian/libxapian-ruby1.8.postinst \
+	      debian/libxapian-ruby1.9.1.doc-base \
+	      debian/libxapian-ruby1.9.1.install \
+	      debian/libxapian-ruby1.9.1.postinst \
+	      debian/ruby-xapian.doc-base \
+	      debian/ruby-xapian.install
+
+maint:
+	rm -f debian/control.tmp
+	sed -e 's/@BUILD_DEPS@/$(BUILD_DEPS)/g' \
+	    -e 's/@X_PYTHON_VERSION@/$(X_PYTHON_VERSION)/g' \
+	    -e 's/@XS_RUBY_VERSIONS@/$(XS_RUBY_VERSIONS)/g' \
+	    < debian/control.in > debian/control.tmp
+ifeq ($(BUILD_TCL), 1)
+	cat debian/control-tcl.in >> debian/control.tmp
+endif
+ifneq ($(PYTHON_VERSIONS), )
+	cat debian/control-python.in >> debian/control.tmp
+endif
+ifneq ($(PHP_VERSIONS), )
+	for v in $(PHP_VERSIONS); do \
+	    sed "s/@PHP_VERSION@/$$v/g" debian/control-php.in ;\
+	done >> debian/control.tmp
+endif
+ifneq ($(RUBY_VERSIONS), )
+	# Call the doc-base templates <pkg>.d-b.in, as <pkg>.doc-base.* is
+	# special to dh_installdocs. (#722096)
+ifdef XB_RUBY_VERSIONS
+	sed -e 's/@XB_RUBY_VERSIONS@/$(XB_RUBY_VERSIONS)/g' \
+	    -e 's/@RUBY_PROVIDES@/$(RUBY_PROVIDES)/g' \
