## xapian-bindings 1.2.22

=== debian/changelog ===
xapian-bindings (1.2.22-2build1) xenial; urgency=medium

  * No-change rebuild for ruby2.3.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Mar 2016 21:54:10 +0100

xapian-bindings (1.2.22-2) unstable; urgency=medium

  * debian/rules: Avoid generating multiple "X-Dummy:" headers.
  * debian/rules: Avoid generating empty "Provides:" in some situations.
  * debian/control.in: http->https in "Vcs-Browser:" and "Homepage:".
  * debian/copyright,debian/watch: http->https for xapian.org.
  * debian/control.in: "Standards-Version: 3.9.7" (no changes required).
  * Update to debhelper compat level 9.

 -- Olly Betts <olly@survex.com>  Fri, 22 Jan 2016 10:56:07 +1300

xapian-bindings (1.2.22-1) unstable; urgency=medium

  * New upstream release.
  * Ack NMU; adjust changes so building backports should just work.
  * debian/rules: Align handling of xapian-core dependency with xapian-omega
    packaging.
  * debian/copyright: Update copyright years for packaging.

 -- Olly Betts <olly@survex.com>  Thu, 21 Jan 2016 15:26:09 +1300
