=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: libs
 Priority: optional
 Maintainer: Olly Betts <olly@survex.com>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 7.0.50~), ruby-all-dev, ruby, ruby-test-unit, python, python-all-dev (>= 2.6.6-3~), tcl-dev, libxapian-dev (>= 1.2.21), libxapian-dev (<< 1.3.0), autotools-dev, libxapian-dev (>= 1.2.21-1.2), g++ (>= 4:5.2)
+Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 9), ruby-all-dev, ruby, ruby-test-unit, python, python-all-dev (>= 2.6.6-3~), tcl-dev, libxapian-dev (>= 1.2.22), libxapian-dev (<< 1.3.0), autotools-dev
 X-Python-Version: >= 2.3
 XS-Ruby-Versions: all
-Homepage: http://xapian.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xapian-bindings.git
+Homepage: https://xapian.org/
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/xapian-bindings.git
 Vcs-git: git://anonscm.debian.org/collab-maint/xapian-bindings.git
 
 Package: tclxapian
@@ -58,7 +58,7 @@
 Depends: ruby | ruby-interpeter, ${shlibs:Depends}, ${misc:Depends}
 Replaces: libxapian-ruby1.8 (<< 1.2.15-1~), libxapian-ruby1.9.1 (<< 1.2.15-1~)
 Breaks: libxapian-ruby1.8 (<< 1.2.15-1~), libxapian-ruby1.9.1 (<< 1.2.15-1~)
-Provides: 
+X-Dummy: No provides
 Suggests: xapian-doc
 Description: Xapian search engine interface for Ruby
  This package provides Xapian Ruby bindings built for Ruby.
