=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #
 # Copyright (C) 2004,2005,2006 Lemur Consulting Ltd
-# Copyright (C) 2006,2007,2008,2009,2010,2011,2012,2013,2014,2015 Olly Betts
+# Copyright (C) 2006,2007,2008,2009,2010,2011,2012,2013,2014,2015,2016 Olly Betts
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to
@@ -36,8 +36,7 @@
 # `--exclude=.EXT' arguments to pass dh_install
 DH_INSTALL_EXCLUDE := --exclude=.pyc --exclude=.pyo
 
-# >= 7.0.50~ needed for Ruby packaging.
-BUILD_DEPS := debhelper (>= 7.0.50~),
+BUILD_DEPS := debhelper (>= $(shell cat debian/compat)),
 
 # PHP is disabled by default due to incompatibility of GPL and PHP licence.
 DEFAULT_LANGUAGES := python ruby tcl
@@ -57,7 +56,7 @@
 BUILD_DEPS += $(PHP_VERSIONS:%=php%-cli,)
 endif
 
-XS_RUBY_VERSIONS := X-Dummy: Ruby bindings not being packaged
+XS_RUBY_VERSIONS := X-Dummy-Ruby: Ruby bindings not being packaged
 ifneq ($(findstring ruby, $(LANGUAGES)), )
 # Be conservative for now and leave backported versions on old ruby policy.
 ifeq ($(findstring .$(CODENAME)., .precise.squeeze.wheezy.), )
@@ -71,11 +70,11 @@
 # Ruby 2.2 unbundled unit/test.
 BUILD_DEPS += ruby-test-unit,
 RUBY_VERSIONS := $(shell ruby -rruby_debian_dev -e 'print RubyDebianDev::RUBY_CONFIG_VERSION.values.join(" ")')
-RUBY_PROVIDES := $(shell ruby -rruby_debian_dev -e 'p = RubyDebianDev::RUBY_CONFIG_VERSION.values.grep(/^1\./).map {|v| "libxapian-ruby"+v }.join(", "); print p.size() ? "Provides: "+p : "X-Dummy: No provides"')
+RUBY_PROVIDES := $(shell ruby -rruby_debian_dev -e 'p = RubyDebianDev::RUBY_CONFIG_VERSION.values.grep(/^1\./).map {|v| "libxapian-ruby"+v }.join(", "); print p.size() > 0 ? "Provides: "+p : "X-Dummy: No provides"')
 RUBY_LATEST_VERSION := $(shell ruby -rruby_debian_dev -e 'print RubyDebianDev::RUBY_CONFIG_VERSION.values[-1]')
 else
 # For old ruby policy:
-XS_RUBY_VERSIONS := X-Dummy: Remove me once old ruby policy support is dropped
+XS_RUBY_VERSIONS := X-Dummy-Ruby: Remove me once old ruby policy support is dropped
 rubylibdir := rubylibdir
 rubyarchdir := archdir
 RUBY_VERSIONS := 1.8 1.9.1
@@ -90,7 +89,7 @@
 endif
 endif
 
-X_PYTHON_VERSION := X-Dummy: Python bindings not being packaged
+X_PYTHON_VERSION := X-Dummy-Python: Python bindings not being packaged
 ifneq ($(findstring python, $(LANGUAGES)), )
 # The python versions to build for:
 PYTHON_VERSIONS := $(shell pyversions -r debian/control)
