## xapian-bindings 1.2.23

=== debian/changelog ===
xapian-bindings (1.2.23-1) unstable; urgency=medium

  * New upstream release.
  * ruby-xapian now depends on libruby2.x (with alternates if built for
    multiple ruby versions) instead of ruby | ruby-interpeter.
    (Closes: #816775)

 -- Olly Betts <olly@survex.com>  Thu, 07 Apr 2016 16:01:27 +1200
