=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Olly Betts <olly@survex.com>
 Standards-Version: 3.9.7
-Build-Depends: debhelper (>= 9), ruby-all-dev, ruby, ruby-test-unit, python, python-all-dev (>= 2.6.6-3~), tcl-dev, libxapian-dev (>= 1.2.22), libxapian-dev (<< 1.3.0), autotools-dev
+Build-Depends: debhelper (>= 9), ruby-all-dev, ruby, ruby-test-unit, python, python-all-dev (>= 2.6.6-3~), tcl-dev, libxapian-dev (>= 1.2.23), libxapian-dev (<< 1.3.0), autotools-dev
 X-Python-Version: >= 2.3
 XS-Ruby-Versions: all
 Homepage: https://xapian.org/
@@ -55,7 +55,7 @@
 Section: ruby
 Architecture: any
 XB-Ruby-Versions: ${ruby:Versions}
-Depends: ruby | ruby-interpeter, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${ruby:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Replaces: libxapian-ruby1.8 (<< 1.2.15-1~), libxapian-ruby1.9.1 (<< 1.2.15-1~)
 Breaks: libxapian-ruby1.8 (<< 1.2.15-1~), libxapian-ruby1.9.1 (<< 1.2.15-1~)
 X-Dummy: No provides
