## xapian-bindings 1.4.3

=== debian/changelog ===
xapian-bindings (1.4.3-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: Update.

 -- Olly Betts <olly@survex.com>  Wed, 25 Jan 2017 16:00:05 +1300

xapian-bindings (1.4.2-2) unstable; urgency=medium

  * debian/control: Needs libxapian-dev (>= 1.4.2) for
    Xapian::DOC_ASSUME_VALID.

 -- Olly Betts <olly@survex.com>  Mon, 26 Dec 2016 22:41:42 +1300

xapian-bindings (1.4.2-1) unstable; urgency=medium

  * New upstream release:
    + Disable parallel make for java subdirectory as it causes random build
      failures.  Closes: #848733 (Thanks to Lucas Nussbaum for diagnosing).

 -- Olly Betts <olly@survex.com>  Mon, 26 Dec 2016 21:24:14 +1300

xapian-bindings (1.4.1-1) unstable; urgency=medium

  * New upstream release
    + Incorporates patch bsd-java-jni-dir.patch so drop.
    + Incorporates fixup-swig-py2-wrapper and debian/fixup-swig-py3-wrapper
      scripts do drop these from the Debian packaging.
  * ruby-xapian: rdoc creates timestamp file "created.rid" - don't install it
    to make the build reproducible.
  * libxapian-java-doc: Mark as "Multi-Arch: foreign".
  * debian/rules: Upstream now installs jar file as xapian.jar so drop code to
    rename it.
  * debian/rules: Add workaround so "make check" works with srcdir!=builddir
    for python and python3 bindings.

 -- Olly Betts <olly@survex.com>  Tue, 22 Nov 2016 14:28:09 +1300

xapian-bindings (1.4.0-7) unstable; urgency=medium

  * Revert change from 1.4.0-5 - needs to be done in xapian-core not here:
    - Use dh_makeshlibs -V instead of ad-hoc rough equivalent.
  * Fix FTBFS on kBSD due to Java bindings - new patch bsd-java-jni-dir.patch
    taken from upstream git.
  * debian/fixup-swig-py2-wrapper,debian/fixup-swig-py3-wrapper: Fix repr() to
    not return None.  Reported by Stuart Prescott on IRC.
  * debian/control-java.in: Fix Python->Java (copy+paste typo)
    (Closes: #839286)

 -- Olly Betts <olly@survex.com>  Sun, 02 Oct 2016 12:10:27 +1300

xapian-bindings (1.4.0-6) unstable; urgency=medium

  * Upload to unstable.

 -- Olly Betts <olly@survex.com>  Fri, 30 Sep 2016 13:26:39 +1300

xapian-bindings (1.4.0-5) experimental; urgency=medium

  * Use dh_makeshlibs -V instead of ad-hoc rough equivalent.

 -- Olly Betts <olly@survex.com>  Sat, 17 Sep 2016 09:16:22 +1200

xapian-bindings (1.4.0-4) experimental; urgency=medium

  * control-java.in: Fix bugs in dependency added in previous upload, masked
    by failure to actually regenerate control.

 -- Olly Betts <olly@survex.com>  Mon, 15 Aug 2016 14:26:50 +1200

xapian-bindings (1.4.0-3) experimental; urgency=medium

  * debian/rules: Fix up import failures of Python and Python3 bindings.
    (Closes: #834201)
  * control-java.in: Make libxapian-java depend on libxapian-jni.
  * Avoid using "debian/not-installed" as it is not supported by older
    debhelper, so is an obstacle to backporting.

 -- Olly Betts <olly@survex.com>  Mon, 15 Aug 2016 12:23:44 +1200

xapian-bindings (1.4.0-2) experimental; urgency=medium

  * Rework packaging to use dh:
    + Drop lingering traces of support for Ruby 1.x.
    + Support building backports for codenames without Ruby >= 2.1.
  * Package Java bindings.
  * control-python3.in: "Python" -> "Python3" in description.

 -- Olly Betts <olly@survex.com>  Fri, 12 Aug 2016 18:14:11 +1200

xapian-bindings (1.4.0-1) experimental; urgency=medium

  * New upstream release series:
    + Package new bindings for python3. (Closes: #647441, LP: 823227):
    + ruby docs now built during package build. (Closes: #782270)
  * debian/control.in: Declare conformance with "Standards-Version: 3.9.8".
  * debian/control.in: Use https for "Vcs-git".
  * debian/control.in: Use cgit instead of gitweb for "Vcs-Browser".
  * debian/copyright: Update.

 -- Olly Betts <olly@survex.com>  Fri, 05 Aug 2016 16:44:30 +1200
