=== debian/control ===
--- 
+++ 
@@ -2,13 +2,75 @@
 Section: libs
 Priority: optional
 Maintainer: Olly Betts <olly@survex.com>
-Standards-Version: 3.9.7
-Build-Depends: debhelper (>= 9), ruby-all-dev, ruby, ruby-test-unit, python, python-all-dev (>= 2.6.6-3~), tcl-dev, libxapian-dev (>= 1.2.23), libxapian-dev (<< 1.3.0), autotools-dev
+Build-Depends: debhelper (>= 9), javahelper, default-jdk, fastjar, ruby-all-dev, ruby, ruby-test-unit, dh-python, python, python-all-dev (>= 2.6.6-3~), python-sphinx, python3, python3-all-dev, python3-sphinx, tcl-dev, libxapian-dev (>= 1.4.3), libxapian-dev (<< 1.5.0), autotools-dev
 X-Python-Version: >= 2.3
 XS-Ruby-Versions: all
+Standards-Version: 3.9.8
 Homepage: https://xapian.org/
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/xapian-bindings.git
-Vcs-git: git://anonscm.debian.org/collab-maint/xapian-bindings.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xapian-bindings.git/log/
+Vcs-git: https://anonscm.debian.org/git/collab-maint/xapian-bindings.git
+
+Package: libxapian-java
+Architecture: all
+Section: java
+Depends: libxapian-jni (>= ${source:Version}),
+ libxapian-jni (<< ${source:Version}.~),
+ ${java:Depends}, ${misc:Depends}
+Recommends: ${java:Recommends}
+Description: Xapian search engine interface for Java
+ The Xapian search engine library is a highly adaptable toolkit which allows
+ developers to easily add advanced indexing and search facilities to their own
+ applications.  It implements the probabilistic model of information retrieval,
+ and provides facilities for performing ranked free-text searches, relevance
+ feedback, phrase searching, boolean searching, stemming, and simultaneous
+ update and searching.  It is highly scalable, and is capable of working with
+ collections containing hundreds of millions of documents.
+ .
+ The Xapian Java bindings provide an interface to the Xapian library from
+ Java, allowing both indexing and retrieval operations.
+ .
+ This package contains the architecture-independent part of the Xapian Java
+ bindings.
+
+Package: libxapian-jni
+Architecture: any
+Section: java
+Depends: ${java:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Recommends: ${java:Recommends}
+Description: Xapian search engine interface for Java (JNI library)
+ The Xapian search engine library is a highly adaptable toolkit which allows
+ developers to easily add advanced indexing and search facilities to their own
+ applications.  It implements the probabilistic model of information retrieval,
+ and provides facilities for performing ranked free-text searches, relevance
+ feedback, phrase searching, boolean searching, stemming, and simultaneous
+ update and searching.  It is highly scalable, and is capable of working with
+ collections containing hundreds of millions of documents.
+ .
+ The Xapian Java bindings provide an interface to the Xapian library from
+ Java, allowing both indexing and retrieval operations.
+ .
+ This package contains the architecture-dependent part of the Xapian Java
+ bindings.
+
+Package: libxapian-java-doc
+Architecture: all
+Section: doc
+Depends: ${java:Depends}, ${misc:Depends}
+Recommends: ${java:Recommends}
+Multi-Arch: foreign
+Description: Xapian search engine interface for Java (documentation)
+ The Xapian search engine library is a highly adaptable toolkit which allows
+ developers to easily add advanced indexing and search facilities to their own
+ applications.  It implements the probabilistic model of information retrieval,
+ and provides facilities for performing ranked free-text searches, relevance
+ feedback, phrase searching, boolean searching, stemming, and simultaneous
+ update and searching.  It is highly scalable, and is capable of working with
+ collections containing hundreds of millions of documents.
+ .
+ The Xapian Java bindings provide an interface to the Xapian library from
+ Java, allowing both indexing and retrieval operations.
+ .
+ This package contains the documentation for the Xapian Java bindings.
 
 Package: tclxapian
 Section: interpreters
@@ -51,14 +113,31 @@
  The Xapian Python bindings provide an interface to the Xapian library from the
  Python programming language, allowing both indexing and retrieval operations.
 
+Package: python3-xapian
+Section: python
+Architecture: any
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Suggests: xapian-doc
+Provides: ${python3:Provides}
+Description: Xapian search engine interface for Python3
+ This package provides Xapian Python3 bindings.
+ .
+ The Xapian search engine library is a highly adaptable toolkit which allows
+ developers to easily add advanced indexing and search facilities to their own
+ applications.  It implements the probabilistic model of information retrieval,
+ and provides facilities for performing ranked free-text searches, relevance
+ feedback, phrase searching, boolean searching, stemming, and simultaneous
+ update and searching.  It is highly scalable, and is capable of working with
+ collections containing hundreds of millions of documents.
+ .
+ The Xapian Python bindings provide an interface to the Xapian library from the
+ Python programming language, allowing both indexing and retrieval operations.
+
 Package: ruby-xapian
 Section: ruby
 Architecture: any
-XB-Ruby-Versions: ${ruby:Versions}
+XB-Ruby-Versions: $${ruby:Versions}
 Depends: ${ruby:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Replaces: libxapian-ruby1.8 (<< 1.2.15-1~), libxapian-ruby1.9.1 (<< 1.2.15-1~)
-Breaks: libxapian-ruby1.8 (<< 1.2.15-1~), libxapian-ruby1.9.1 (<< 1.2.15-1~)
-X-Dummy: No provides
 Suggests: xapian-doc
 Description: Xapian search engine interface for Ruby
  This package provides Xapian Ruby bindings built for Ruby.
